
IF EXISTS(SELECT 1 FROM PRC_EMP_CONFIG WHERE CD_CHAVE = 'STONE_BANKING_AMBIENTE')
BEGIN
	UPDATE PRC_EMP_CONFIG
	SET CD_CHAVE = 'CONTA_DIGITAL_AMBIENTE'
	WHERE CD_CHAVE = 'STONE_BANKING_AMBIENTE'
	AND NOT EXISTS (SELECT 1 FROM PRC_EMP_CONFIG E
					WHERE E.CD_CHAVE = 'CONTA_DIGITAL_AMBIENTE')

	DELETE FROM PRC_EMP_CONFIG WHERE CD_CHAVE = 'STONE_BANKING_AMBIENTE'

END;

IF EXISTS(SELECT 1 FROM GLB_CHAVE_CPL WHERE CD_CHAVE = 'STONE_BANKING_AMBIENTE')
BEGIN

	UPDATE GLB_CHAVE_CPL
	SET CD_CHAVE = 'CONTA_DIGITAL_AMBIENTE'
	WHERE CD_CHAVE = 'STONE_BANKING_AMBIENTE'
	AND NOT EXISTS (SELECT 1 FROM GLB_CHAVE_CPL E
					WHERE E.CD_CHAVE = 'CONTA_DIGITAL_AMBIENTE'
					AND E.CD_OPCAO = GLB_CHAVE_CPL.CD_OPCAO)

	DELETE FROM GLB_CHAVE_CPL WHERE CD_CHAVE = 'STONE_BANKING_AMBIENTE' 

END;



IF EXISTS(SELECT 1 FROM PRC_EMP_CONFIG WHERE CD_CHAVE = 'STONE_BANKING_HABILITADO')
BEGIN
	UPDATE PRC_EMP_CONFIG
	SET CD_CHAVE = 'CONTA_DIGITAL_HABILITADA'
	WHERE CD_CHAVE = 'STONE_BANKING_HABILITADO'
	AND NOT EXISTS (SELECT 1 FROM PRC_EMP_CONFIG E
					WHERE E.CD_CHAVE = 'CONTA_DIGITAL_HABILITADA')

	DELETE FROM PRC_EMP_CONFIG WHERE CD_CHAVE = 'STONE_BANKING_HABILITADO'
END;

IF EXISTS(SELECT 1 FROM GLB_CHAVE_CPL WHERE CD_CHAVE = 'STONE_BANKING_HABILITADO')
BEGIN
	UPDATE GLB_CHAVE_CPL
	SET CD_CHAVE = 'CONTA_DIGITAL_HABILITADA'
	WHERE CD_CHAVE = 'STONE_BANKING_HABILITADO'
	AND NOT EXISTS (SELECT 1 FROM GLB_CHAVE_CPL E
					WHERE E.CD_CHAVE = 'CONTA_DIGITAL_HABILITADA'
					AND E.CD_OPCAO = GLB_CHAVE_CPL.CD_OPCAO)

	DELETE FROM GLB_CHAVE_CPL WHERE CD_CHAVE = 'STONE_BANKING_HABILITADO' 

END;


IF EXISTS(SELECT 1 FROM PRC_EMP_CONFIG WHERE CD_CHAVE = 'DDA_CONSULTA_AUTOMATICA_STONE')
BEGIN

	UPDATE PRC_EMP_CONFIG
	SET CD_CHAVE = 'CONTA_DIGITAL_CONSULTA_AUTOMATICA_DDA'
	WHERE CD_CHAVE = 'DDA_CONSULTA_AUTOMATICA_STONE'
	AND NOT EXISTS (SELECT 1 FROM PRC_EMP_CONFIG E
					WHERE E.CD_CHAVE = 'CONTA_DIGITAL_CONSULTA_AUTOMATICA_DDA')

	DELETE FROM PRC_EMP_CONFIG WHERE CD_CHAVE = 'DDA_CONSULTA_AUTOMATICA_STONE'

END;

IF EXISTS(SELECT 1 FROM GLB_CHAVE_CPL WHERE CD_CHAVE = 'DDA_CONSULTA_AUTOMATICA_STONE')
BEGIN
	UPDATE GLB_CHAVE_CPL
	SET CD_CHAVE = 'CONTA_DIGITAL_CONSULTA_AUTOMATICA_DDA'
	WHERE CD_CHAVE = 'DDA_CONSULTA_AUTOMATICA_STONE'
	AND NOT EXISTS (SELECT 1 FROM GLB_CHAVE_CPL E
					WHERE E.CD_CHAVE = 'CONTA_DIGITAL_CONSULTA_AUTOMATICA_DDA'
					AND E.CD_OPCAO = GLB_CHAVE_CPL.CD_OPCAO)

	DELETE FROM GLB_CHAVE_CPL WHERE CD_CHAVE = 'DDA_CONSULTA_AUTOMATICA_STONE' 
END;

IF EXISTS(SELECT 1 FROM GLB_PROCD_OUTR WHERE DS_OUTR_PROCD = 'STONE BANKING VISUALIZAR SALDO')
BEGIN
	UPDATE GLB_PROCD_OUTR
	SET DS_OUTR_PROCD = 'CONTA DIGITAL VISUALIZAR SALDO'
	WHERE DS_OUTR_PROCD = 'STONE BANKING VISUALIZAR SALDO'
END;

IF EXISTS(SELECT 1 FROM GLB_PROCD_OUTR WHERE DS_OUTR_PROCD = 'STONE BANKING EXCLUIR ORDEM DE PAGAMENTO')
BEGIN
	UPDATE GLB_PROCD_OUTR
	SET DS_OUTR_PROCD = 'CONTA DIGITAL EXCLUIR ORDEM DE PAGAMENTO'
	WHERE DS_OUTR_PROCD = 'STONE BANKING EXCLUIR ORDEM DE PAGAMENTO'
END;

IF EXISTS(SELECT 1 FROM GLB_PROCD_OUTR WHERE DS_OUTR_PROCD = 'STONE BANKING CANCELAR BOLETO COBRANÇA')
BEGIN
	UPDATE GLB_PROCD_OUTR
	SET DS_OUTR_PROCD = 'CONTA DIGITAL CANCELAR BOLETO COBRANÇA'
	WHERE DS_OUTR_PROCD = 'STONE BANKING CANCELAR BOLETO COBRANÇA'
END;